import { Utils } from "@singularsystems/neo-core";
import { ValidationDisplayInfo } from "@singularsystems/neo-core/dist/Validation/DisplayHelper";
ValidationDisplayInfo.prototype.applyToDom = function (elementProps, addTooltip) {
    if (this.severity) {
        elementProps.className = Utils.joinWithSpaces(elementProps.className, this.editorClassName);
        if (addTooltip) {
            elementProps["data-tip"] = this.displayText;
            elementProps["data-tip-class"] = this.additionalClassName;
        }
    }
};
