import { Misc, Model } from '@singularsystems/neo-core';
import { IAutoRunnerFactory } from '@singularsystems/neo-core/dist/Model/IAutoRunner';
export declare class AutoRunnerFactory implements IAutoRunnerFactory {
    create<T extends Model.IModelBase>(model: T, callback: (model: T) => void, options?: Misc.IAutoRunnerOptions<T>): Misc.IAutoRunner;
}
