import React from 'react';
import { Components } from '@singularsystems/neo-core';
import ComponentBase from './ComponentBase';
export default class CollapsableBase<TProps extends Components.ICollapsableOptions> extends ComponentBase<TProps> {
    private timer;
    protected containerRef: React.RefObject<HTMLDivElement | null>;
    protected shouldShow: boolean;
    protected animationHelper?: Components.CollapseAnimationHelper;
    constructor(props: TProps);
    onClose(e: React.MouseEvent): void;
    afterRender(isInitial: boolean): void;
    componentWillUnmount(): void;
}
