import React from 'react';
import { SketchPickerProps } from 'react-color';
import { Model } from '@singularsystems/neo-core';
interface IColorPickerProps extends SketchPickerProps {
    bind: Model.IPropertyInstance;
    onChangeEvent?: () => void;
}
interface IColorPickerState {
    visible: boolean;
    selectedColor: string;
}
export default class ColorPicker extends React.Component<IColorPickerProps, IColorPickerState> {
    state: {
        visible: boolean;
        selectedColor: any;
    };
    constructor(props: IColorPickerProps);
    componentWillReceiveProps(nextProps: IColorPickerProps): void;
    componentDidMount(): void;
    handleChange: (color: string) => void;
    visibleToggle: () => void;
    cancel: () => void;
    accept: () => void;
    render(): React.JSX.Element;
    /** Renders the inner color picker components without the modal */
    static render(color: string, onChange: (value: string) => void): React.ReactNode;
}
export {};
