import React from 'react';
import { Components } from '@singularsystems/neo-core';
import { FileContext } from './FileContext';
export interface IFileUploadProps {
    fileManager?: Components.IFileManager;
    type?: "striped" | "animated";
    variant?: Components.variant;
}
export default class FileUploadProgress extends React.Component<IFileUploadProps & React.HTMLProps<HTMLDivElement>> {
    static contextType: React.Context<import("./FileContext").IFileContextProps>;
    context: React.ContextType<typeof FileContext>;
    private fileManager;
    render(): false | React.JSX.Element;
}
