import { Components } from "@singularsystems/neo-core";
export interface INeoCommonColumnProps {
    /** Hide the column when the screen size is smaller than the specified breakpoint. */
    hideBelow?: Components.breakpoint;
    /** Hide the column when the screen size is equal to, or larger than the specified breakpoint. */
    hideAbove?: Components.breakpoint;
    /** Set the alignment of the column. */
    alignment?: "left" | "center" | "right";
}
export declare class ColumnHelper {
    static addCommonClasses(className: string | undefined, props: INeoCommonColumnProps): string | undefined;
}
