import React from "react";
import { IconStyle, IIconFactory } from "./IIconFactory";
/** Default icon factory supporting font-awesome strings. */
export declare class IconFactory implements IIconFactory {
    getIconComponent(iconOrName: any, style?: IconStyle): React.ReactNode;
    textOrIcon(textOrIcon: string, style?: IconStyle): React.ReactNode;
    protected mapStringToIcon(iconName: string, style?: IconStyle): React.ReactNode;
    protected createIconComponent(iconDescriptor: any, style?: IconStyle): React.ReactNode;
}
