import React from 'react';
import { IModalOptionsBase } from '@singularsystems/neo-core/dist/Components/Modal/ModalOptions';
export interface IModalPortalProps {
    show: boolean;
    onDismiss: (e: any) => void;
    options: IModalOptionsBase;
    children: React.ReactNode;
}
export default class ModalPortal extends React.Component<IModalPortalProps> {
    private modalContainer;
    private modalInstance;
    constructor(props: IModalPortalProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactPortal;
}
