import React from "react";
import { Components } from "@singularsystems/neo-core";
import CollapsableBase from '../CollapsableBase';
interface IAlertProps {
    isOutline?: boolean;
    iconPosition?: "body" | "left";
}
export default class Alert extends CollapsableBase<Components.INotificationOptions & IAlertProps & React.HTMLProps<HTMLDivElement>> {
    private iconFactory;
    render(): React.JSX.Element;
}
export {};
