var Transition = /** @class */ (function () {
    function Transition(setBeforeStyles, setAfterStyles, cleanup, 
    /** Set to true if the animation causes the elements height to change. E.g. zoom type transitions */
    changesHeight) {
        if (changesHeight === void 0) { changesHeight = false; }
        this.setBeforeStyles = setBeforeStyles;
        this.setAfterStyles = setAfterStyles;
        this.cleanup = cleanup;
        this.changesHeight = changesHeight;
    }
    Transition.leftRight = new Transition(function (element, out, toLeft) { return element.style.left = ((toLeft ? 1 : -1) * (out ? 0 : 150)) + "px"; }, function (element, out, toLeft) { return element.style.left = ((toLeft ? -1 : 1) * (out ? 150 : 0)) + "px"; }, function (element) { return element.style.left = ""; });
    Transition.upDown = new Transition(function (element, out, toLeft) { return element.style.top = ((toLeft ? 1 : -1) * (out ? 0 : 100)) + "px"; }, function (element, out, toLeft) { return element.style.top = ((toLeft ? -1 : 1) * (out ? 100 : 0)) + "px"; }, function (element) { return element.style.top = ""; });
    Transition.inOut = new Transition(function (element, out, toLeft) { return element.style.transform = out ? "scale(1)" : (toLeft ? "scale(0.8)" : "scale(1.2)"); }, function (element, out, toLeft) { return element.style.transform = out ? (toLeft ? "scale(1.2)" : "scale(0.8)") : "scale(1)"; }, function (element) { return element.style.transform = ""; }, true);
    Transition.fadeOnly = new Transition(function () { }, function () { }, function () { });
    return Transition;
}());
export { Transition };
