export declare class BreadCrumbItem {
    /** Text to show in the breadcrumb component. */
    label: string | (() => string);
    /** URL to use when the breadcrumb is clicked. */
    link?: string | undefined;
    constructor(
    /** Text to show in the breadcrumb component. */
    label: string | (() => string), 
    /** URL to use when the breadcrumb is clicked. */
    link?: string | undefined);
    /** Optional callback for when the breadcrumb is clicked. */
    onClick?: (e: React.MouseEvent) => void;
}
