# neo-react

This project contains the react/mobx implementation of the neo client library.

It also contains UI components built for react.

## Changelog / Breaking changes

View the changelog [here](./CHANGELOG.md).

## Testing

To debug the tests, you need to add the following to .vscode\launch.json
```
{
    "version": "0.2.0",
    "configurations": [
        {
            "type": "node",
            "request": "launch",
            "name": "debug tests",
            "cwd": "${workspaceFolder}",
            "runtimeExecutable": "yarn",
            "runtimeArgs": ["run", "--inspect-brk", "test"],
            "args": ["${fileBasename}"],
            "stopOnEntry": true,
            "console": "integratedTerminal",
        }
    ]
}
```