import { __assign } from "tslib";
import { AppServices } from '@singularsystems/neo-core';
var NeoReactTypes = __assign(__assign({}, AppServices.NeoTypes), { Components: {
        Slider: new AppServices.ServiceIdentifier("NeoReact.Slider"),
        /**
         * Sketchpicker (from 'react-color' package) component used by the color picker.
         * It is recommended to use the `ColorPicker` type and bind to HexColorPicker from the 'react-colorful' package.
         */
        SketchPicker: new AppServices.ServiceIdentifier("NeoReact.SketchPicker"),
        /**
         * Returns a component that renders a color picker that accepts a color input, and onChange event handler.
         */
        ColorPicker: new AppServices.ServiceIdentifier("NeoReact.ColorPicker"),
        ReactSelect: new AppServices.ServiceIdentifier("NeoReact.ReactSelect"),
        AsyncSelect: new AppServices.ServiceIdentifier("NeoReact.AsyncSelect"),
        IconFactory: new AppServices.ServiceIdentifier("NeoReact.IconFactory")
    }, Routing: __assign(__assign({}, AppServices.NeoTypes.Routing), { PageLeaveHandler: new AppServices.ServiceIdentifier("NeoReact.PageLeaveHandler"), NavigationHelper: AppServices.NeoTypes.Routing.NavigationHelper.asType(), GlobalRoutingState: new AppServices.ServiceIdentifier("NeoReact.GlobalRoutingState") }), Services: {
        DisposeHelper: new AppServices.ServiceIdentifier("NeoReact.DisposeHelper")
    } });
export { NeoReactTypes };
