import React from 'react';
import { variant } from '@singularsystems/neo-core/dist/Components';
interface IBadgeProps {
    /** Content of badge. */
    text?: string;
    /** Child Element */
    children?: React.ReactNode;
    /** Bootstrap variant. */
    variant?: variant;
    /** Set a custom variant for when a standard variant is not provided. */
    customVariant?: string;
    /** Changes the type of badge. */
    isLarge?: boolean;
    /** Changes the badge to a pill which results in rounder borders. */
    isPill?: boolean;
}
export default class Badge extends React.Component<IBadgeProps & React.HTMLProps<HTMLDivElement>> {
    constructor(props: IBadgeProps);
    render(): React.JSX.Element;
}
export {};
