import React from 'react';
import { Components } from '@singularsystems/neo-core';
import { FileContext } from './FileContext';
interface IFileDropAreaProps extends React.HTMLProps<HTMLDivElement> {
    fileManager?: Components.IFileManager;
}
export default class FileDropArea extends React.Component<IFileDropAreaProps> {
    static contextType: React.Context<import("./FileContext").IFileContextProps>;
    context: React.ContextType<typeof FileContext>;
    private fileManager;
    private isDragging;
    private dropDiv;
    constructor(props: IFileDropAreaProps);
    private dragEnter;
    private dragLeave;
    private drop;
    render(): React.JSX.Element;
}
export {};
