import React from 'react';
import { Components } from '@singularsystems/neo-core';
import { IButtonOptions } from '@singularsystems/neo-core/dist/Components/ButtonOptions';
import { FileContext } from './FileContext';
interface IFileUploadButtonProps extends IButtonOptions {
    fileManager?: Components.IFileManager;
}
export default class FileUploadButton extends React.Component<IFileUploadButtonProps & React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>> {
    static contextType: React.Context<import("./FileContext").IFileContextProps>;
    context: React.ContextType<typeof FileContext>;
    private fileManager;
    private fileInputRef;
    constructor(props: IFileUploadButtonProps & React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>);
    private browseButtonClicked;
    render(): React.JSX.Element;
}
export {};
