import React from 'react';
import { FormGroupBase, IFormGroupProps, IFormGroupClasses } from './FormGroup';
import { Components } from '@singularsystems/neo-core';
type IInlineFormGroupProps<TData> = IFormGroupProps<TData> & Components.IColumnWidthBreakpoints;
export default class FormGroupInline<TData> extends FormGroupBase<IInlineFormGroupProps<TData>, TData> {
    private contextProps?;
    protected hideLabelForCheckboxes(): boolean;
    protected getFormGroupClasses(domProps: React.HTMLProps<HTMLDivElement>, isCheckBox: boolean): IFormGroupClasses;
    render(): React.JSX.Element;
}
export {};
