import React from "react";
import { IconStyle, IIconFactory } from ".";
export interface IIconProps extends IconStyle {
    name: string;
    /** Optional icon factory if this icon uses a different icon set to the project default. */
    factory?: IIconFactory;
}
/** Renders an icon using the icon factory specified at startup. */
export default class Icon extends React.Component<IIconProps> {
    private static _iconFactory;
    private get iconFactory();
    render(): React.ReactNode;
}
