import React from 'react';
import { IModalContainerOptions } from '@singularsystems/neo-core/dist/Components/Modal/ModalHelper';
interface IModalContainerProps extends IModalContainerOptions {
    /**
     * By default, the modal container will be added at the root level of the document.
     * This prop will make it render in the current position of the ModalContainer component.
     */
    renderInPlace?: boolean;
}
export default class ModalContainer extends React.Component<IModalContainerProps> {
    private modalStore;
    private containerRef;
    componentDidMount(): void;
    componentDidUpdate(): void;
    render(): React.JSX.Element | (0 | React.JSX.Element)[];
}
export {};
