export declare class Transition {
    setBeforeStyles: (element: HTMLElement, out: boolean, toLeft: boolean) => void;
    setAfterStyles: (element: HTMLElement, out: boolean, toLeft: boolean) => void;
    cleanup: (element: HTMLElement) => void;
    /** Set to true if the animation causes the elements height to change. E.g. zoom type transitions */
    changesHeight: boolean;
    constructor(setBeforeStyles: (element: HTMLElement, out: boolean, toLeft: boolean) => void, setAfterStyles: (element: HTMLElement, out: boolean, toLeft: boolean) => void, cleanup: (element: HTMLElement) => void, 
    /** Set to true if the animation causes the elements height to change. E.g. zoom type transitions */
    changesHeight?: boolean);
    static leftRight: Transition;
    static upDown: Transition;
    static inOut: Transition;
    static fadeOnly: Transition;
}
