import { RouteParameterObject } from '../Routing/IRouteParameter';
import { IViewParameterList, ViewParameterList } from '../Routing/ViewParameterList';
import { IViewModel } from './IViewModel';
export interface IViewState {
    viewParams: IViewParameterList;
    viewModel: IViewModel;
}
export declare class ViewState<TViewModel extends IViewModel, TParams extends RouteParameterObject<TParams>> {
    viewParams: ViewParameterList<TParams>;
    viewModel: TViewModel;
    hasSetup: boolean;
    constructor(viewParams: ViewParameterList<TParams>, viewModel: TViewModel);
}
